requestBulkMinting

Bulk NFT 민팅 API는 단일 요청을 통한 대량 토큰 발행을 지원합니다. 요청시 지정한 issuedTo 계정에 일괄 발행됩니다. Batch 방식으로 동하기 때문에, 요청 이후 상태를 추적할 수 있는 API들이 함께 제공됩니다. 사용중인 사이드체인 사양에 따라 미지원되거나 정상 동작하지 않을 수 있습니다.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Callback으로 어떤 데이터를 받을 수 있나요?

콜백의 구현과 관련한 전반적인 사항은, 여기 여기를 참조해주세요.

벌크민팅이 모두 완료된 후, 다음과 같은 메시지가 콜백 URL을 통해 전달됩니다.

{
  "code": "CREATED",
  "data": {
    "id": "be714a48-db2a-4363-8d0f-c93e080484a7",
    "environmentId": "1632900326854487578 or luniverse for mainchain",
    "contractId": "1632900326854487578",
    "metadataId": "1632900326854487578",
    "issuedTo": "0x0000000000000000000000000000000000000000",
    "maxMintLimit": "100",
    "status": "PENDING | IN_PROGRESS | SUCCESS | FAIL | RETRYABLE",
    "accountId": "1234567890123456789",
    "iamUserId": "1234567890123456789",
    "createdAt": "2021-05-18T07:32:25.304Z",
    "updatedAt": "2021-05-18T07:32:25.304Z"
  }
}
Body Params
string
required

NFT 발급에 사용할 대상 컨트랙트의 ID.

string
required

NFT 민팅에 사용하고자 하는 메타데이터 ID.

string
required

토큰을 발행받을 대상 계정의 주소.

string

Bulk 민팅의 처리 결과(성공 또는 실패)를 전달받기 위한 콜백 URL.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json